#!/bin/sh
# $Id: file2carnet.sh,v 1.3 2017/04/16 11:12:40 feyrer Exp $
#
# Clean up Groundspeak GPX
# Many thinks to Valery Ushakov (uwe) for XSLT help!
#
# Rest:
# Copyright (c) 2015 Hubert Feyrer <hubert@feyrer.de>

out=pq-out.gpx
in="$1"

if [ "$in" = "" ]
then
	echo "Usage: $0 PQFILE.gpx"
	exit 1
fi

xsltproc postproc.xslt "$in" \
| sed \
	-e 's,(\([0-9.]*\)/\([0-9.]*\))HFHFHF,(D\1/T\2),' \
	-e 's| by [^,]*,|,|'  \
>$out

ls -lad $out

echo ""
echo "Rename '$out' as appropriate!"
